Commit 88052131 authored by Arnaud Blanchard's avatar Arnaud Blanchard

Use the content of .gitmodules to select 'all' projects. Hide log data if there is no errors

parent 7bfae489
# Basic Libraries And Applications for Robotics (BLAAR) # Copyright ETIS — ENSEA, Université de Cergy-Pontoise, CNRS (2011 - 2016)
# Copyright ETIS — ENSEA, University of Cergy-Pontoise, CNRS (2011 - 2017) # Author: Arnaud Blanchard (November, 2016)
# Author: Arnaud Blanchard
# #
# This software is governed by the CeCILL v2.1 license under French law and abiding by the rules of distribution of free software. # This software is governed by the CeCILL v2.1 license under French law and abiding by the rules of distribution of free software.
# You can use, modify and/ or redistribute the software under the terms of the CeCILL v2.1 license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info". # You can use, modify and/ or redistribute the software under the terms of the CeCILL v2.1 license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
...@@ -10,12 +9,7 @@ ...@@ -10,12 +9,7 @@
# that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. # that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge.
# Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured  and, more generally, to use and operate it in the same conditions as regards security. # Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured  and, more generally, to use and operate it in the same conditions as regards security.
# The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms. # The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms.
#
#!/usr/bin/env bash #Use your $PATH to find bash
set -o errexit #Exit on first error
set -o nounset #Error if a variable is used but nont defined
set -o pipefail #Error if a pipe fail
echo echo
echo "Check all projects" echo "Check all projects"
echo "=================" echo "================="
...@@ -23,14 +17,5 @@ echo ...@@ -23,14 +17,5 @@ echo
error=0 error=0
mkdir -p /tmp/blaar mkdir -p /tmp/blaar
#We make sure we respect the order of compilation in .gitmodules #We make sure we respect the order of compilation in .gitmodules
cat .gitmodules | sed -n 's/.*path = //p' | while read project; do cat .gitmodules | sed -n 's/.*path = //p' | { while read project; do echo "Check **$project**"; $project/check.sh $build_type > /tmp/blaar/check_$project.log || { echo;echo "### Fail checking: '$project' ###"; cat /tmp/blaar_check_$project.log; echo; exit 1; } done }
project_name=$(basename $project)
echo "Check **$project**"; $project/check.sh > /tmp/blaar/check_${project_name}.log || {
echo
echo "### Fail checking: '$project' ###"
cat /tmp/blaar_check_${project_name}.log;
echo
exit 1
}
done
echo echo
...@@ -16,7 +16,7 @@ set -o nounset #Error if a variable is used but nont defined ...@@ -16,7 +16,7 @@ set -o nounset #Error if a variable is used but nont defined
set -o pipefail #Error if a pipe fail set -o pipefail #Error if a pipe fail
usage(){ usage(){
echo "usage: compile.sh [-h] [-q] <project dir> [Release|Debug|RelWithDebugInfo|MinSizeRel] [<target>]" >&2 echo "usage: compile.sh [-h] [-q] <project dir> [Release|Debug|RelWithDebugInfo|MinSizeRel] [<target>]"
} }
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment